Bug 488355 - hal emits endless 'HSM violation' polling a non-existent cd drive, in a domU clean install
hal emits endless 'HSM violation' polling a non-existent cd drive, in a domU ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 16:14 EST by R P Herrold
Modified: 2009-11-20 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 17:10:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg noise after several reboots continues til hal loads the exceptions (95.88 KB, text/plain)
2009-03-04 15:14 EST, R P Herrold
no flags Details

  None (edit)
Description R P Herrold 2009-03-03 16:14:33 EST
Description of problem:

hal emits endless 'HSM violation' polling noise, trying a non-existent cd drive, in a domU clean install

Version-Release number of selected component (if applicable):

hal-0.5.12-22.20090226git.fc11.i586

How reproducible:
Do an install and do not turn off the polling; fix by turning off the polling

Steps to Reproduce:

Fresh install into a domU
  
Actual results:

endless polling noise from hal to console of this form ...

ata2.00: status: { DRDY ERR }
ata2: soft resetting link
ata2.00: configured for MWDMA2
ata2: EH complete
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
ata2.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
         cdb 1e 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
         res 41/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x3 (HSM violation)
ata2.00: status: { DRDY ERR }
    ...

repeats without end

Expected results:

silence -- the program should perhaps report it once to the console, and thereafter note repitition to the syslog alone, to 

Additional info:

        F10 install

        I quieted noise in the domU with:

        # hal-disable-polling --device /dev/scd0

        to stop:

ata2.00: status: { DRDY ERR }
ata2: soft resetting link
ata2.00: configured for MWDMA2
ata2: EH complete
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
ata2.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
         cdb 1e 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
         res 41/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x3 (HSM violation)
ata2.00: status: { DRDY ERR }

repeatedly as the hal polls the non-existent device inside the domU

see:
        http://www.redhat.com/archives/fedora-list/2007-June/msg00551.html
        HOWTO: Get rid of HSM violation errors with F7 in QEMU

[root@localhost ~]# updatedb
[root@localhost ~]# locate hal-disable-polling
/usr/bin/hal-disable-polling
/usr/share/man/man1/hal-disable-polling.1.gz
[root@localhost ~]# rpm -qf /usr/bin/hal-disable-polling
hal-0.5.12-22.20090226git.fc11.i586
[root@localhost ~]#
Comment 1 R P Herrold 2009-03-04 15:14:41 EST
Created attachment 334049 [details]
dmesg noise after several reboots continues til hal loads the exceptions
Comment 2 Scott Glaser 2009-09-09 09:19:25 EDT
Have you tried with the latest hal package in Fedora 10, Fedora 11 or tried Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 R P Herrold 2009-09-15 09:23:24 EDT
I will try with RawHide's /mnt/nfs/var/ftp/pub/mirror/redhat/rawhide/SRPMS/hal-0.5.13-7.fc12.src.rpm
Comment 4 Bug Zapper 2009-11-18 06:16:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 R P Herrold 2009-11-20 17:10:52 EST
clearly not gonna get touched -- putting it down

Note You need to log in before you can comment on or make changes to this bug.